> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://support.atomicwork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://support.atomicwork.com/_mcp/server.

# Update a grant

PUT https://{tenant}.atomicwork.com/api/v1/iga/grants/{grant_id}
Content-Type: application/json

Update an identity grant's status or policy.


Reference: https://support.atomicwork.com/api-reference/atomicwork-public-api/access-management/putapi-v-1-iga-grants-grant-id

## Authentication

- `X-Api-Key` header (required) — API Key authentication via header

## Request

### Path parameters

- `grant_id` (string, required)

### Headers

- `X-Workspace-Id` (string, optional)

### Body (application/json)

This endpoint expects an object.

- `status` (enum, optional)
  - Allowed values: `GRANTED`, `EXPIRED`, `EXTENDED`, `REVOKED`
- `policy_id` (long, optional) — Change the policy associated with the grant
- `policy_key` (string, optional) — Change the policy by key (alternative to policy_id)
- `granted_by` (long, optional) — User ID who authorized this grant
- `granted_at` (datetime, optional) — When the grant was authorized

## Response

### 200

Successful response

## Examples

**Request**

```json
{
  "status": "GRANTED",
  "policy_id": 0,
  "policy_key": "",
  "granted_by": 0,
  "granted_at": "2024-01-01T00:00:00Z"
}
```

**Response**

```json
{}
```

**SDK Code**

```python Access Management_putapi_v1_iga_grants__grant_id_example
import requests

url = "https://{tenant}.atomicwork.com/api/v1/iga/grants/grant_id"

payload = {
    "status": "GRANTED",
    "policy_id": 0,
    "policy_key": "",
    "granted_by": 0,
    "granted_at": "2024-01-01T00:00:00Z"
}
headers = {
    "X-Workspace-Id": "{{workspace_id}}",
    "X-Api-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Access Management_putapi_v1_iga_grants__grant_id_example
const url = 'https://{tenant}.atomicwork.com/api/v1/iga/grants/grant_id';
const options = {
  method: 'PUT',
  headers: {
    'X-Workspace-Id': '{{workspace_id}}',
    'X-Api-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"status":"GRANTED","policy_id":0,"policy_key":"","granted_by":0,"granted_at":"2024-01-01T00:00:00Z"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Access Management_putapi_v1_iga_grants__grant_id_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://{tenant}.atomicwork.com/api/v1/iga/grants/grant_id"

	payload := strings.NewReader("{\n  \"status\": \"GRANTED\",\n  \"policy_id\": 0,\n  \"policy_key\": \"\",\n  \"granted_by\": 0,\n  \"granted_at\": \"2024-01-01T00:00:00Z\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("X-Workspace-Id", "{{workspace_id}}")
	req.Header.Add("X-Api-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Access Management_putapi_v1_iga_grants__grant_id_example
require 'uri'
require 'net/http'

url = URI("https://{tenant}.atomicwork.com/api/v1/iga/grants/grant_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["X-Workspace-Id"] = '{{workspace_id}}'
request["X-Api-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"status\": \"GRANTED\",\n  \"policy_id\": 0,\n  \"policy_key\": \"\",\n  \"granted_by\": 0,\n  \"granted_at\": \"2024-01-01T00:00:00Z\"\n}"

response = http.request(request)
puts response.read_body
```

```java Access Management_putapi_v1_iga_grants__grant_id_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://{tenant}.atomicwork.com/api/v1/iga/grants/grant_id")
  .header("X-Workspace-Id", "{{workspace_id}}")
  .header("X-Api-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"status\": \"GRANTED\",\n  \"policy_id\": 0,\n  \"policy_key\": \"\",\n  \"granted_by\": 0,\n  \"granted_at\": \"2024-01-01T00:00:00Z\"\n}")
  .asString();
```

```php Access Management_putapi_v1_iga_grants__grant_id_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://{tenant}.atomicwork.com/api/v1/iga/grants/grant_id', [
  'body' => '{
  "status": "GRANTED",
  "policy_id": 0,
  "policy_key": "",
  "granted_by": 0,
  "granted_at": "2024-01-01T00:00:00Z"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Api-Key' => '<apiKey>',
    'X-Workspace-Id' => '{{workspace_id}}',
  ],
]);

echo $response->getBody();
```

```csharp Access Management_putapi_v1_iga_grants__grant_id_example
using RestSharp;

var client = new RestClient("https://{tenant}.atomicwork.com/api/v1/iga/grants/grant_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("X-Workspace-Id", "{{workspace_id}}");
request.AddHeader("X-Api-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"status\": \"GRANTED\",\n  \"policy_id\": 0,\n  \"policy_key\": \"\",\n  \"granted_by\": 0,\n  \"granted_at\": \"2024-01-01T00:00:00Z\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Access Management_putapi_v1_iga_grants__grant_id_example
import Foundation

let headers = [
  "X-Workspace-Id": "{{workspace_id}}",
  "X-Api-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "status": "GRANTED",
  "policy_id": 0,
  "policy_key": "",
  "granted_by": 0,
  "granted_at": "2024-01-01T00:00:00Z"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://{tenant}.atomicwork.com/api/v1/iga/grants/grant_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```